%undefine __cmake_in_source_build

Name:    ksystemlog
Summary: System Log Viewer for KDE
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+
URL:     http://www.kde.org/applications/system/ksystemlog/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz


Patch1: ksystemlog-21.12.2.patch

BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kitemviews-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-karchive-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kcompletion-devel
BuildRequires: kf5-ktextwidgets-devel
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(Qt5Gui)

%description
This program is developed for beginner users, who don't know how to find
information about their Linux system, and don't know where log files are.

It is also of course designed for advanced users, who quickly want to understand
problems of their machine with a more powerful and graphical tool than tail -f
and less commands.


%prep
%autosetup -p1


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop


%files -f %{name}.lang
%license LICENSES
%{_kf5_bindir}/ksystemlog
%{_kf5_datadir}/kxmlgui5/ksystemlog/
%{_kf5_datadir}/applications/org.kde.ksystemlog.desktop
%{_kf5_datadir}/qlogging-categories5/ksystemlog.categories
%{_kf5_metainfodir}/org.kde.ksystemlog.appdata.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
